# Getting Started with Create React App

This project was bootstrapped with [Create React App](https://github.com/facebook/create-react-app).

## Available Scripts

In the project directory, you can run:

### `npm start`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.\
Open [http://localhost:3000/#/icons](http://localhost:3000/#/icons) to view the icons used in the project.

The page will reload if you make edits.\
You will also see any lint errors in the console.

### `npm test`

Launches the test runner in the interactive watch mode.\
See the section about [running tests](https://facebook.github.io/create-react-app/docs/running-tests) for more information.

### `npm run build`

Builds the app for production to the `build` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!

See the section about [deployment](https://facebook.github.io/create-react-app/docs/deployment) for more information.

### `npm run eject`

**Note: this is a one-way operation. Once you `eject`, you can’t go back!**

If you aren’t satisfied with the build tool and configuration choices, you can `eject` at any time. This command will remove the single build dependency from your project.

Instead, it will copy all the configuration files and the transitive dependencies (webpack, Babel, ESLint, etc) right into your project so you have full control over them. All of the commands except `eject` will still work, but they will point to the copied scripts so you can tweak them. At this point you’re on your own.

You don’t have to ever use `eject`. The curated feature set is suitable for small and middle deployments, and you shouldn’t feel obligated to use this feature. However we understand that this tool wouldn’t be useful if you couldn’t customize it when you are ready for it.

## Learn More

You can learn more in the [Create React App documentation](https://facebook.github.io/create-react-app/docs/getting-started).

To learn React, check out the [React documentation](https://reactjs.org/).

---

# VMUI config options
VMUI can be used to paste into other applications

1. Go to file `index.html`
2. Find root element `<div id="root"></div>`
3. Add `data-params` with the options

#### Options (JSON):

| Name                    |   Default   |                                                                           Description |
|:------------------------|:-----------:|--------------------------------------------------------------------------------------:|
| serverURL               | domain name |                                                          Can't be changed from the UI |
| useTenantID             |      -      |                           If the flag is present, the "Tenant ID" select is displayed |
| headerStyles.background |  `#FFFFFF`  |                                                               Header background color |
| headerStyles.color      |  `#3F51B5`  |                                                                     Header font color |
| palette.primary         |  `#3F51B5`  |                               used to represent primary interface elements for a user |
| palette.secondary       |  `#F50057`  |                             used to represent secondary interface elements for a user |
| palette.error           |  `#FF4141`  |            used to represent interface elements that the user should be made aware of |
| palette.warning         |  `#FF9800`  |                 used to represent potentially dangerous actions or important messages |
| palette.success         |  `#4CAF50`  |           used to indicate the successful completion of an action that user triggered |
| palette.info            |  `#03A9F4`  | used to present information to the user that is neutral and not necessarily important |

#### JSON example:
```json
{
  "serverURL": "http://localhost:8428",
  "useTenantID": true,
  "headerStyles": {
    "background": "#FFFFFF",
    "color": "#538DE8"
  },
  "palette": {
    "primary": "#538DE8",
    "secondary": "#F76F8E",
    "error": "#FD151B",
    "warning": "#FFB30F",
    "success": "#7BE622",
    "info": "#0F5BFF"
  }
}
```


#### HTML example:
```html
<div id="root" data-params='{"serverURL":"http://localhost:8428","useTenantID":true,"headerStyles":{"background":"#FFFFFF","color":"#538DE8"},"palette":{"primary":"#538DE8","secondary":"#F76F8E","error":"#FD151B","warning":"#FFB30F","success":"#7BE622","info":"#0F5BFF"}}'></div>
```






